Subject: bug#49314: closed (Re: bug#49314: Stan package broken)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2022 13:15:02 +0000

Your bug report

#49314: Stan package broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49314: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=49314
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49314: Stan package broken
From: Maxim Cournoyer <[email-masked]>
To: Kyle Andrews <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jul 2022 09:14:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Kyle Andrews <[email-masked]> writes:

> Hello,
>
> I tried to run a "Hello World" stan model using the r-rstan package.
>
> #+BEGIN_SRC R
> stancode="data {
>   int<lower=0> N;
>   vector[N] x;
>   vector[N] y;
> }
> parameters {
>   real alpha;
>   real beta;
>   real<lower=0> sigma;
> }
> model {
>   y ~ normal(alpha + beta * x, sigma);
> }
> "
> stan_lm = stan(model_code = stancode)
> #+END_SRC
>
>
> Running that code I get the error:
>
> #+BEGIN_EXAMPLE
> Error in dyn.load(libLFile) : 
>   unable to load shared object '/tmp/Rtmp1AXXXr/file1ffd36a95fa3.so':
>   /gnu/store/741057r2x06zwg6zcmqmdyv51spm6n9i-gfortran-7.5.0-lib/lib/libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /tmp/Rtmp1AXXXr/file1ffd36a95fa3.so)
> Error in sink(type = "output") : invalid connection
> #+END_EXAMPLE
>
> I setup my environment with:
>
> : guix environment --ad-hoc r-rstan r-rstanarm r

I've tried exercising some of the things shown at
https://github.com/stan-dev/rstan/wiki/RStan-Getting-Started in 'guix
shell r-rstan r-rstanarm r-minimal' and it seems to work.  I'm on Guix
commit 17892c5.

Closing.

Thanks for the report!

Maxim

Subject: Stan package broken
From: Kyle Andrews <[email-masked]>
To: [email-masked]
Date: Thu, 01 Jul 2021 07:06:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I tried to run a "Hello World" stan model using the r-rstan package.

#+BEGIN_SRC R
stancode="data {
  int<lower=0> N;
  vector[N] x;
  vector[N] y;
}
parameters {
  real alpha;
  real beta;
  real<lower=0> sigma;
}
model {
  y ~ normal(alpha + beta * x, sigma);
}
"
stan_lm = stan(model_code = stancode)
#+END_SRC

Running that code I get the error:

#+BEGIN_EXAMPLE
Error in dyn.load(libLFile) : 
  unable to load shared object '/tmp/Rtmp1AXXXr/file1ffd36a95fa3.so':
  /gnu/store/741057r2x06zwg6zcmqmdyv51spm6n9i-gfortran-7.5.0-lib/lib/libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /tmp/Rtmp1AXXXr/file1ffd36a95fa3.so)
Error in sink(type = "output") : invalid connection
#+END_EXAMPLE

I setup my environment with:

: guix environment --ad-hoc r-rstan r-rstanarm r